Developer Documentation
IDENTITY VERIFICATION
TIN Verification
Verify business entities and individuals via their Tax Identification Number or CAC Registration Number.
POST
/api/v1/tin/verify
Authentication & Headers
| HEADER | VALUE | REQUIRED |
|---|---|---|
Authorization |
Bearer YOUR_API_TOKEN |
Yes |
Content-Type |
application/json |
Yes |
Request Parameters
| PARAMETER | TYPE | DESCRIPTION | REQUIRED |
|---|---|---|---|
nin |
string | 11-digit National Identity Number (Individual TIN lookup). | Required (Individual) |
cac / rc |
string | CAC Registration Number (Corporate TIN lookup, e.g. "RC8949469" or "8949469"). | Required (Corporate) |
Example Request (Individual)
cURLcurl -X POST "https://api.arewasmart.com.ng/api/v1/tin/verify" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{"nin": "51307511444"}'
Example Request (Corporate)
cURLcurl -X POST "https://api.arewasmart.com.ng/api/v1/tin/verify" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{"cac": "RC8949469"}'
Success Response (200 OK)
{
"status": "success",
"message": "Get TIN with NIN verification successful",
"data": {
"dateOfBirth": "22/02/2002",
"firstName": "SHAFIU",
"lastName": "MUHAMMAD",
"nin": "51307511444",
"tax_residency": "Kebbi State",
"tin": "2512104317591",
"reference": "tin0123ABCDE",
"charge": 100.00
},
"transaction_ref": "tin0123ABCDE",
"charge": 100.00
}